Bug 132943 - I18N - wsdl_from_db document has square boxes in it
I18N - wsdl_from_db document has square boxes in it
Status: REOPENED
Product: soa
Classification: Unclassified
Component: SQL Project
6.x
All Windows XP
: P2 (vote)
: 6.x
Assigned To: nav064
issues@soa
NO65
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-16 00:38 UTC by kaa
Modified: 2009-01-13 06:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
tree view (43.72 KB, image/jpeg)
2008-04-16 00:39 UTC, kaa
Details
source (49.18 KB, image/jpeg)
2008-04-16 00:39 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-04-16 00:38:55 UTC
Product Version: NetBeans IDE 6.1 RC1 (Build 200804100130)
Java: 1.6.0_05; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)

Steps:
1. Establish connection with database
2. Create SQL Module using ja chars in its name
3. Create WSDL Doc from Database using only ja chars in name
4. Open WSDL tab.
5. Look at the root node in tree view.

Using utf-8 or win-31j project encoding there are square boxes in the name of wsdl file: in source code and WSDL tree
view. This happens if wsdl file has mbyte in its name. If this is valid issue, please fix this in trunk soon so that it
could be considered as candidate for 6.1 patch fixes.

There was the same problem with 6.0 See issue 121622.
Comment 1 kaa 2008-04-16 00:39:20 UTC
Created attachment 60241 [details]
tree view
Comment 2 kaa 2008-04-16 00:39:43 UTC
Created attachment 60242 [details]
source
Comment 3 Venkat Srinivasan 2008-04-16 07:06:58 UTC
Pls look into this.
Comment 4 Ken Frank 2008-04-16 20:46:18 UTC
since this seems like regression and also since it can
be problem for sqare boxes to be where translated words
should be, can this be considered to fix for 6.1 first patch ?

if so fix needs to be in trunk very soon and then we verify.

will add the status whiteboard word for patch request.

ken.frank@sun.com
Comment 5 Ken Frank 2008-04-21 16:45:48 UTC
Nav,

can you fix this one also in next days so it too can go into the patch ?
fix can be in trunk, then we verify, then it can go to release61.

ken.frank@sun.com
Comment 6 Ken Frank 2008-04-23 16:46:07 UTC
Nav,

just checking back to see if this one can be fixed for 4/24 date for
first patch fixes needed; since its a square box situation,
it means users wont know the words they are looking at.

ken.frank@sun.com
Comment 7 kaa 2008-04-24 20:35:24 UTC
Looks ok on Solaris 10. Project encoding UTF-8 and x-eucJP.
Changing OS to WinXP

Product Version: NetBeans IDE Dev (Build 20080424124045)
Java: 1.6.0_05; Java HotSpot(TM) Client VM 10.0-b19
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)
Comment 8 pgebauer 2008-04-25 08:20:04 UTC
The issue hasn't be fixed till 61patch1 nomination cut-off date.
Marked as release61_fixes_candidate2.
Comment 9 kaa 2008-05-21 16:49:23 UTC
Does need fixing soon, since deadline for patch 2 (including trunk verification) is approaching.
Comment 10 pslechta 2008-06-03 13:32:46 UTC
Hello nav064,

can you please fix this bug as soon as possible (till 09-Jun-2008), so it can be part of NB 6.1 patch 2?

Thanks!
Comment 11 nav064 2008-06-03 13:55:19 UTC
This scenario in turn raises other issues like
1) Build failure for a composite application with porttype not recognised in ja UTF-8 locale. 
2) SQL Module not being able to be mapped to, in the casa editor.
3) Deployment failure in ja_JP.PCK locale.

For now, it's wsdl's allright without an mbyte name - I mean it's working fine with a non-mbyte name. 
Do we still need to address this?
Comment 12 Ken Frank 2008-06-03 16:54:05 UTC
comment
is just in general about use of mbyte:

if there is no restriction in the language or spec or api or some external tool/product that nb interacts with, about
not being
able to use mbyte, then guideline is that user should be allowed to use it
in name of project, file, path, etc, etc.

if a restriction, then how to implement it - since other projects already
might use mbyte in project name, for example and that name is used
as basis for other things, among them the problem here.


the higher level question then is, why is mbyte a problem - is it just design
of this functionality i18n wise compared to other parts of nb,
or is there some other restriction related to api, other tools, etc ?

other comments to nav comments below:


if there would be side effects as mentioned to such a fix, then its a more
complex situation and thus fix needs to take into account; also separate
issues should be filed for other things mentioned if they really separate
problems with these modules.


BTW, am removing the status whiteboard entry for patch2 - it should not be
there until fix is done and its verified.

ken.frank@sun.com
Comment 13 nav064 2008-06-18 07:50:55 UTC
Used feq spec implementation.

http://hg.netbeans.org/main/rev/9b0495586d5e
Comment 14 Ken Frank 2008-06-18 17:03:50 UTC
once this is verified in trunk, it might be nominated for patch 3.

ken.frank@sun.com
Comment 15 kaa 2008-07-10 18:52:19 UTC
Product Version: NetBeans IDE Dev (Build 200807060002)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)

I was able to reproduce with win-31j project encoding.
Cant verify the fix.
Comment 16 nav064 2008-07-10 19:09:08 UTC
I'm still looking into this. Sorry for closing this. 
Comment 17 kaa 2008-08-15 18:09:08 UTC
Product Version: NetBeans IDE Dev (Build 200808101401)
Java: 1.6.0_06; Java HotSpot(TM) Client VM 10.0-b22

Square boxes exist for xml schema also.
Create the schema file with mbyte in name and look at the root node (design view).


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo